//
//  NoodleTextDocument.h
//  NoodleEdit
//
//  Created by Paul Kim on 4/29/12.
//  Copyright 2012 Noodlesoft, LLC. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class NoodleSyntaxHighlighter;

@interface NoodleTextDocument : NSDocument
{
    NSTextStorage           *contents;
    IBOutlet NSTextView     *textView;
    NoodleSyntaxHighlighter *syntaxHighlighter;
}

@property (readonly) NSTextStorage *contents;

- (IBAction)newWindow:(id)sender;

@end
